Index: trunk/MagicSoft/Mars/msignal/MArrivalTimeCam.cc
===================================================================
--- trunk/MagicSoft/Mars/msignal/MArrivalTimeCam.cc	(revision 7803)
+++ trunk/MagicSoft/Mars/msignal/MArrivalTimeCam.cc	(revision 7804)
@@ -72,5 +72,5 @@
 void MArrivalTimeCam::SetLogStream(MLog *lg)
 {
-    fArray->ForEach(MParContainer, SetLogStream)(lg);
+    fArray->R__FOR_EACH(MParContainer, SetLogStream)(lg);
     MParContainer::SetLogStream(lg);
 }
@@ -114,5 +114,5 @@
 void MArrivalTimeCam::Clear(Option_t *o)
 {
-    fArray->ForEach(TObject, Clear)();
+    fArray->R__FOR_EACH(TObject, Clear)();
 }
 
Index: trunk/MagicSoft/Mars/msignal/MExtractFixedWindow.cc
===================================================================
--- trunk/MagicSoft/Mars/msignal/MExtractFixedWindow.cc	(revision 7803)
+++ trunk/MagicSoft/Mars/msignal/MExtractFixedWindow.cc	(revision 7804)
@@ -290,5 +290,5 @@
 // gui elements to a macro-file.
 //
-void MExtractFixedWindow::StreamPrimitive(ofstream &out) const
+void MExtractFixedWindow::StreamPrimitive(ostream &out) const
 {
 
Index: trunk/MagicSoft/Mars/msignal/MExtractFixedWindow.h
===================================================================
--- trunk/MagicSoft/Mars/msignal/MExtractFixedWindow.h	(revision 7803)
+++ trunk/MagicSoft/Mars/msignal/MExtractFixedWindow.h	(revision 7804)
@@ -24,6 +24,7 @@
   void   FindSignalHiGain(Byte_t *ptr, Byte_t *logain, Float_t &sum, Byte_t &sat) const;
   void   FindSignalLoGain(Byte_t *ptr, Float_t &sum, Byte_t &sat) const;
-  void   StreamPrimitive(ofstream &out) const;
-  
+
+  void   StreamPrimitive(ostream &out) const;
+
   Bool_t ReInit(MParList *pList);
   
Index: trunk/MagicSoft/Mars/msignal/MExtractSignal.cc
===================================================================
--- trunk/MagicSoft/Mars/msignal/MExtractSignal.cc	(revision 7803)
+++ trunk/MagicSoft/Mars/msignal/MExtractSignal.cc	(revision 7804)
@@ -194,5 +194,5 @@
 // gui elements to a macro-file.
 //
-void MExtractSignal::StreamPrimitive(ofstream &out) const
+void MExtractSignal::StreamPrimitive(ostream &out) const
 {
     out << "   " << ClassName() << " " << GetUniqueName() << "(\"";
Index: trunk/MagicSoft/Mars/msignal/MExtractSignal.h
===================================================================
--- trunk/MagicSoft/Mars/msignal/MExtractSignal.h	(revision 7803)
+++ trunk/MagicSoft/Mars/msignal/MExtractSignal.h	(revision 7804)
@@ -49,5 +49,6 @@
     Int_t  PreProcess(MParList *pList);
     Int_t  Process();
-    void   StreamPrimitive(ofstream &out) const;
+
+    void   StreamPrimitive(ostream &out) const;
 
 public:
Index: trunk/MagicSoft/Mars/msignal/MExtractSignalABcorr.cc
===================================================================
--- trunk/MagicSoft/Mars/msignal/MExtractSignalABcorr.cc	(revision 7803)
+++ trunk/MagicSoft/Mars/msignal/MExtractSignalABcorr.cc	(revision 7804)
@@ -214,5 +214,5 @@
 // gui elements to a macro-file.
 //
-void MExtractSignalABcorr::StreamPrimitive(ofstream &out) const
+void MExtractSignalABcorr::StreamPrimitive(ostream &out) const
 {
     out << "   " << ClassName() << " " << GetUniqueName() << "(\"";
Index: trunk/MagicSoft/Mars/msignal/MExtractSignalABcorr.h
===================================================================
--- trunk/MagicSoft/Mars/msignal/MExtractSignalABcorr.h	(revision 7803)
+++ trunk/MagicSoft/Mars/msignal/MExtractSignalABcorr.h	(revision 7804)
@@ -49,5 +49,6 @@
     Int_t  PreProcess(MParList *pList);
     Int_t  Process();
-    void   StreamPrimitive(ofstream &out) const;
+
+    void   StreamPrimitive(ostream &out) const;
 
 public:
Index: trunk/MagicSoft/Mars/msignal/MExtractedSignalCam.cc
===================================================================
--- trunk/MagicSoft/Mars/msignal/MExtractedSignalCam.cc	(revision 7803)
+++ trunk/MagicSoft/Mars/msignal/MExtractedSignalCam.cc	(revision 7804)
@@ -74,5 +74,5 @@
 void MExtractedSignalCam::SetLogStream(MLog *lg)
 {
-    fArray->ForEach(MParContainer, SetLogStream)(lg);
+    fArray->R__FOR_EACH(MParContainer, SetLogStream)(lg);
     MParContainer::SetLogStream(lg);
 }
@@ -116,5 +116,4 @@
 Float_t MExtractedSignalCam::GetProb( const Int_t pixidx )   const
 { 
-
   if (pixidx > GetSize()-1)
     return -1.;
@@ -125,5 +124,5 @@
 void MExtractedSignalCam::Clear(Option_t *o)
 {
-    fArray->ForEach(TObject, Clear)();
+    fArray->R__FOR_EACH(TObject, Clear)();
 }
 
Index: trunk/MagicSoft/Mars/msignal/MExtractor.cc
===================================================================
--- trunk/MagicSoft/Mars/msignal/MExtractor.cc	(revision 7803)
+++ trunk/MagicSoft/Mars/msignal/MExtractor.cc	(revision 7804)
@@ -341,5 +341,5 @@
 // gui elements to a macro-file.
 //
-void MExtractor::StreamPrimitive(ofstream &out) const
+void MExtractor::StreamPrimitive(ostream &out) const
 {
   out << "   " << ClassName() << " " << GetUniqueName() << "(\"";
Index: trunk/MagicSoft/Mars/msignal/MExtractor.h
===================================================================
--- trunk/MagicSoft/Mars/msignal/MExtractor.h	(revision 7803)
+++ trunk/MagicSoft/Mars/msignal/MExtractor.h	(revision 7804)
@@ -74,5 +74,5 @@
   Bool_t  ReInit    ( MParList *pList );
   Int_t   Process   ();
-  void    StreamPrimitive(ofstream &out) const;
+  void    StreamPrimitive(ostream &out) const;
   Int_t   ReadEnv(const TEnv &env, TString prefix, Bool_t print);
 
Index: trunk/MagicSoft/Mars/msignal/MSignalCam.cc
===================================================================
--- trunk/MagicSoft/Mars/msignal/MSignalCam.cc	(revision 7803)
+++ trunk/MagicSoft/Mars/msignal/MSignalCam.cc	(revision 7804)
@@ -104,5 +104,5 @@
     fNumPixelsSaturatedLoGain = -1;
 
-    fPixels->ForEach(TObject, Clear)();
+    fPixels->R__FOR_EACH(TObject, Clear)();
 }
 /*
Index: trunk/MagicSoft/Mars/msignal/Makefile
===================================================================
--- trunk/MagicSoft/Mars/msignal/Makefile	(revision 7803)
+++ trunk/MagicSoft/Mars/msignal/Makefile	(revision 7804)
@@ -39,8 +39,4 @@
            MExtractFixedWindowSpline.cc \
            MExtractAmplitudeSpline.cc \
-           MExtractSignal.cc \
-           MExtractSignal2.cc \
-           MExtractSignal3.cc \
-           MExtractSignalABcorr.cc \
 	   MExtractPINDiode.cc \
 	   MExtractBlindPixel.cc \
@@ -60,4 +56,9 @@
 	   MArrivalTimePix.cc
 
+#           MExtractSignal.cc \
+#           MExtractSignal2.cc \
+#           MExtractSignal3.cc \
+#           MExtractSignalABcorr.cc \
+
 ############################################################
 
Index: trunk/MagicSoft/Mars/msignal/SignalLinkDef.h
===================================================================
--- trunk/MagicSoft/Mars/msignal/SignalLinkDef.h	(revision 7803)
+++ trunk/MagicSoft/Mars/msignal/SignalLinkDef.h	(revision 7804)
@@ -10,8 +10,8 @@
 #pragma link C++ class MExtractedSignalBlindPixel+;
 
-#pragma link C++ class MExtractSignal+;
-#pragma link C++ class MExtractSignal2+;
-#pragma link C++ class MExtractSignal3+;
-#pragma link C++ class MExtractSignalABcorr+;
+//#pragma link C++ class MExtractSignal+;
+//#pragma link C++ class MExtractSignal2+;
+//#pragma link C++ class MExtractSignal3+;
+//#pragma link C++ class MExtractSignalABcorr+;
 
 #pragma link C++ class MExtractor+;
